Last Comment Bug 746307 - FileLink prefs gets a empty space on the right if Lightning is installed
: FileLink prefs gets a empty space on the right if Lightning is installed
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 746554
Blocks: BigFiles 746725
  Show dependency treegraph
 
Reported: 2012-04-17 13:25 PDT by Andreas Nilsson (:andreasn)
Modified: 2012-04-23 13:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (v1) (1.23 KB, patch)
2012-04-17 15:43 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v2) (1.38 KB, patch)
2012-04-18 05:34 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v3) (2.72 KB, patch)
2012-04-22 15:42 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
patch (v4) (3.15 KB, patch)
2012-04-23 09:30 PDT, Andreas Nilsson (:andreasn)
mconley: review+
bwinton: ui‑review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review
Fix on Ubuntu (64.53 KB, image/png)
2012-04-23 10:29 PDT, Mike Conley (:mconley) - (needinfo me!)
no flags Details
screenshot of the fix on OS X (73.42 KB, image/png)
2012-04-23 10:56 PDT, Andreas Nilsson (:andreasn)
no flags Details

Description Andreas Nilsson (:andreasn) 2012-04-17 13:25:12 PDT
Actually, the way it seem to work, it gains a extra space if any extension that grows the preferences pane width in any way (like adding a new icon on the top) gets installed.

The fix seems to be to not specify the width of #provider-management
Comment 1 Andreas Nilsson (:andreasn) 2012-04-17 15:43:35 PDT
Created attachment 615916 [details] [diff] [review]
patch (v1)

Haven't figured out how to make the "view account settings" link go on the bottom yet, but Mike will love me anyway, as I'm making the hardcoded pixel values go poof.
Comment 2 Andreas Nilsson (:andreasn) 2012-04-18 05:34:23 PDT
Created attachment 616087 [details] [diff] [review]
patch (v2)

This also positions the text correctly.
Comment 3 Mike Conley (:mconley) - (needinfo me!) 2012-04-18 07:10:15 PDT
Comment on attachment 616087 [details] [diff] [review]
patch (v2)

Review of attachment 616087 [details] [diff] [review]:
-----------------------------------------------------------------

Does this only apply to qute?  I wouldn't be surprised if the problem was the same in pinstripe / gnomestripe...
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-04-20 06:55:38 PDT
It doesn't appear for me in pinstripe…
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2012-04-20 09:42:29 PDT
Agreed - and I don't see it in gnomestripe either.

Regardless, I think it'd be a good idea to excise the hard-coded dimensions from those two themes as well.
Comment 6 Blake Winton (:bwinton) (:☕️) 2012-04-20 10:12:51 PDT
Comment on attachment 616087 [details] [diff] [review]
patch (v2)

I agree.  Andreas, can you post a patch that does the same for all the themes, and I'll give it the full ui-review treatment then?

Thanks,
Blake.
Comment 7 Andreas Nilsson (:andreasn) 2012-04-20 10:34:10 PDT
Sure. Seems I've ran into a slight bitrot (locally) so I'll post a patch once I've settled that.
Comment 8 Blake Winton (:bwinton) (:☕️) 2012-04-20 11:53:05 PDT
As a side note, I just checked it out in Windows Aero, and I think that there's too much space on the left portion of the space display.  Could you even it out a bit, so that it's something like:

[space] Used/Unused [space] Pretty Circle

?

Thanks,
Blake.
Comment 9 Andreas Nilsson (:andreasn) 2012-04-22 15:42:12 PDT
Created attachment 617354 [details] [diff] [review]
patch (v3)

For gnomestripe and pinstripe as well.
Comment 10 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 06:43:08 PDT
Andreas:

Are these ready for review?

-Mike
Comment 11 Andreas Nilsson (:andreasn) 2012-04-23 09:30:05 PDT
Created attachment 617504 [details] [diff] [review]
patch (v4)

This gives some space between the chart and the numbers.
Comment 12 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 10:29:51 PDT
Created attachment 617531 [details]
Fix on Ubuntu
Comment 13 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 10:38:32 PDT
Comment on attachment 617504 [details] [diff] [review]
patch (v4)

Review of attachment 617504 [details] [diff] [review]:
-----------------------------------------------------------------

Ah, it's so good to see those hard-coded dimensions disappear. :)

Thanks for your work Andreas - this code looks good to me.

-Mike
Comment 14 Andreas Nilsson (:andreasn) 2012-04-23 10:56:52 PDT
Created attachment 617541 [details]
screenshot of the fix on OS X
Comment 15 Blake Winton (:bwinton) (:☕️) 2012-04-23 11:37:41 PDT
Comment on attachment 617504 [details] [diff] [review]
patch (v4)

Based on the screenshots, ui-r=me!

Thanks,
Blake.
Comment 16 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 11:49:47 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/80e0310cd63c
Comment 17 Mike Conley (:mconley) - (needinfo me!) 2012-04-23 13:35:42 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/bbd6494a2ec4

Note You need to log in before you can comment on or make changes to this bug.